Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class Presence

    java.lang.Object
      com.nortel.soa.oi.cct.types.Presence

    public class Presence

extends java.lang.Object

Java class for presence complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="presence">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="status" type="{http://www.nortel.com/soa/oi/cct/types}presenceStatus"/>
             <element name="extendedStatus" type="{http://www.nortel.com/soa/oi/cct/types}presenceExtendedStatus"/>
             <element name="activity" type="{http://www.nortel.com/soa/oi/cct/types}presenceActivity"/>
             <element name="rawXml" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="note" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`Presence()`

Method Summary
`PresenceActivity` | `getActivity()` Gets the value of the activity property.
`PresenceExtendedStatus` | `getExtendedStatus()` Gets the value of the extendedStatus property.
`java.lang.String` | `getNote()` Gets the value of the note property.
`java.lang.String` | `getRawXml()` Gets the value of the rawXml property.
`PresenceStatus` | `getStatus()` Gets the value of the status property.
`void` | `setActivity(PresenceActivity value)` Sets the value of the activity property.
`void` | `setExtendedStatus(PresenceExtendedStatus value)` Sets the value of the extendedStatus property.
`void` | `setNote(java.lang.String value)` Sets the value of the note property.
`void` | `setRawXml(java.lang.String value)` Sets the value of the rawXml property.
`void` | `setStatus(PresenceStatus value)` Sets the value of the status property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Presence

    public Presence()

Method Detail

### getStatus

    public PresenceStatus getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `PresenceStatus`

### setStatus

    public void setStatus(PresenceStatus value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `PresenceStatus`

### getExtendedStatus

    public PresenceExtendedStatus getExtendedStatus()

  Gets the value of the extendedStatus property.

  Returns:
    possible object is `PresenceExtendedStatus`

### setExtendedStatus

    public void setExtendedStatus(PresenceExtendedStatus value)

  Sets the value of the extendedStatus property.

  Parameters:
    `value` - allowed object is `PresenceExtendedStatus`

### getActivity

    public PresenceActivity getActivity()

  Gets the value of the activity property.

  Returns:
    possible object is `PresenceActivity`

### setActivity

    public void setActivity(PresenceActivity value)

  Sets the value of the activity property.

  Parameters:
    `value` - allowed object is `PresenceActivity`

### getRawXml

    public java.lang.String getRawXml()

  Gets the value of the rawXml property.

  Returns:
    possible object is `String`

### setRawXml

    public void setRawXml(java.lang.String value)

  Sets the value of the rawXml property.

  Parameters:
    `value` - allowed object is `String`

### getNote

    public java.lang.String getNote()

  Gets the value of the note property.

  Returns:
    possible object is `String`

### setNote

    public void setNote(java.lang.String value)

  Sets the value of the note property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.